apt - E: Sub-process /usr/bin/dpkg returned an error code (1) [Resolvido]

Publicado por Xerxes Lins em 28/02/2013

[ Hits: 100.439 ]

 


apt - E: Sub-process /usr/bin/dpkg returned an error code (1) [Resolvido]



Galera, não sei o motivo desse erro. Nem sei explicar porque o método de correção funciona, mas funciona. Caso alguém queira contribuir com mais informações, por favor comente.

Após mexer muito em minha distribuição, transformando ela em Lubuntu, Ubuntu, Xubuntu e alternando isso de várias formas, decidi parar em Lubuntu. Mas me deparava com o erro que está no título da dica, sempre que eu usava o apt-get:
E: Sub-process /usr/bin/dpkg returned an error code (1)

Obs.: A mensagem é maior que isso, mas não capturei o restante. Tinha alguma coisa a ver com "--configure".

Então, o que fazer? Consultei o oráculo e caí num fórum que dizia que para resolver esse erro, bastava deletar tudo do diretório /var/lib/dpkg/info.

Ao tentar fazer isso com o comando rm, recebia a mensagem de que o argumento era muito longo. Então, fui deletando aos poucos. Primeiro os que começavam com a letra "a":

sudo rm -rf /var/lib/dpkg/info/a.*

Depois outras letras. E assim por diante. Depois de apagar algumas letras aleatórias como A, X, Y, L, Z..., tentei o comando para limpar tudo:

sudo rm -rf /var/lib/dpkg/info/*.*

E funcionou! Limpou. Depois disso, fiz:

sudo apt-get clean
$ sudo apt-get install -f
$ sudo apt-get update


E o erro sumiu. Suponho que o comando clean acima deveria apagar aqueles arquivos. Mas como estava o diretório muito cheio, por algum motivo, dizia que o argumento era longo. Por isso tive que apagar manualmente.

Feito isso, tudo ficou normal.

Abraço!

Fonte:
Outras dicas deste autor

Efeito "Expose" no Openbox

Como Baixar Torrent em Redes que Bloqueiam Torrent

Instalação rápida do Arch Linux via script aui

Sincronize um diretório pessoal com o Google Drive

Aplicativos para ler mangá no Android

Leitura recomendada

GRUB Legacy no Debian 7

Configurando softmodem (Intel e PCTel) no Conectiva Linux 10

Livro sobre Administração de Servidores Linux

Asterisk na rede interna

Prevenindo desligamento / reboot acidental (a famosa dedada)!

  

Comentários
[1] Comentário enviado por fabio em 28/02/2013 - 16:26h

Bela dica! Mas ao invés do malabarismo pra deletar os arquivos, acho que o comando abaixo seria mais adequado:

find . -type f -exec rm {} \;

Ou usar um micro shell script, como na dica: http://www.vivaolinux.com.br/dica/Removendo-varios-arquivos-de-uma-lista-gigante-%28Argument-list-to...

Um abraço.

[2] Comentário enviado por xerxeslins em 28/02/2013 - 17:10h


[1] Comentário enviado por fabio em 28/02/2013 - 16:26h:

Bela dica! Mas ao invés do malabarismo pra deletar os arquivos, acho que o comando abaixo seria mais adequado:

find . -type f -exec rm {} \;

Ou usar um micro shell script, como na dica: http://www.vivaolinux.com.br/dica/Removendo-varios-arquivos-de-uma-lista-gigante-%28Argument-list-to....

Um abraço.


Perfeito! abraço :)

[3] Comentário enviado por dextron em 03/08/2013 - 13:00h

Cara, eu te love U 2 much... jah tava pensando em instalar o raio do Debian de novo... vlw!!!!

[4] Comentário enviado por Victoralm em 04/08/2013 - 03:43h

Mesmo rodando estes comandos, continuo tendo problemas no Ubuntu 12.04:

#sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Configurando postfixadmin (2.3.6-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/postfixadmin.conf
dpkg: erro processando postfixadmin (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 10
Erros foram encontrados durante o processamento de:
postfixadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)

[5] Comentário enviado por raissamarcon em 10/10/2013 - 17:43h

Ótimo! Não tem noção do quanto ajudou. Obrigada!

[6] Comentário enviado por newwave em 07/04/2014 - 15:30h

Galera, o negócio é o seguinte: eu cuido de dois labs de informática e eu tenho que instalar o ssh neles. A distro que está instalada em todos os PCs (mais de 40) é o Lubuntu. Acontece que quando eu tento instalar o ssh dá um erro que é semelhante a esse erro do tópico. Estou tentando usar a dica de apagar tudo que está no /var/lib/dpkg/info, mas está difícil. Realmente ele não aceita um simples rm -rf *. A dica acima do colega Fabio também não está eficiente, porque ele pede confirmação arquivo por arquivo na hora de excluir. Se fosse em uma só máquina eu até faria a exclusão de todos, um por um, mas se são quase 50 máquinas, isso ficaria inviável. Sem mencionar que estes arquivos estão protegidos contra escrita e eu até agora não consegui remover nenhum, mesmo usando sudo. O script que o Fabio apontou pelo link está dando erro de sintaxe (bash: erro de sintaxe próximo do `token' não esperado `done'). Alguém poderia me dar alguma luz para ter esse ssh instalado sem problemas em todas as quase 50 máquinas de maneira eficiente?

Obrigado!

[7] Comentário enviado por xerxeslins em 08/04/2014 - 12:04h


[6] Comentário enviado por newwave em 07/04/2014 - 15:30h:

Galera, o negócio é o seguinte: eu cuido de dois labs de informática e eu tenho que instalar o ssh neles. A distro que está instalada em todos os PCs (mais de 40) é o Lubuntu. Acontece que quando eu tento instalar o ssh dá um erro que é semelhante a esse erro do tópico. Estou tentando usar a dica de apagar tudo que está no /var/lib/dpkg/info, mas está difícil. Realmente ele não aceita um simples rm -rf *. A dica acima do colega Fabio também não está eficiente, porque ele pede confirmação arquivo por arquivo na hora de excluir. Se fosse em uma só máquina eu até faria a exclusão de todos, um por um, mas se são quase 50 máquinas, isso ficaria inviável. Sem mencionar que estes arquivos estão protegidos contra escrita e eu até agora não consegui remover nenhum, mesmo usando sudo. O script que o Fabio apontou pelo link está dando erro de sintaxe (bash: erro de sintaxe próximo do `token' não esperado `done'). Alguém poderia me dar alguma luz para ter esse ssh instalado sem problemas em todas as quase 50 máquinas de maneira eficiente?

Obrigado!


Não se se isso vai ajudar, mas olhe esta dica:

http://www.stevekamerman.com/2008/03/deleting-tons-of-files-in-linux-argument-list-too-long/


[8] Comentário enviado por zenildosilva em 09/06/2014 - 09:02h

Otima dica! Comigo funcionou perfeitamente

[9] Comentário enviado por lcavalheiro em 15/08/2014 - 13:08h

@Xerxes, isso acontece porque houve corrupção no cache OU do dpkg (no seu caso) OU do apt (o caso mais comum), e por isso você deleta o cache para que ele seja reconstruído automaticamente pela próxima vez que você rodar um apt-get -f update. Essa sua dica é o caso específico daquela velha recomendação de rodar um
# rm -rf /var/lib/{apt,dpkg}
Quando a distro segue direitinho o FHS, no /var ficam variáveis de configuração do sistema, e normalmente não é pra ficar punhetando nesse diretório não. Porém, como o Debian não segue o FHS em quase porra nenhuma, ela usa o /var/lib para armazenar caches de programas, entre eles o dpkg e o apt. Como a primeira coisa que o apt-get faz quando roda é reconstruir os caches caso não os encontre, erros (0..5) de dpkg e apt podem ser facilmente corrigidos com a remoção manual dos caches.

@Victoralm, "apt-get -f install" é diferente de "apt-get install -f". Sim, eu sei, é bizarro, e tem uma razão pra isso que eu não me lembro agora porque só uso Debian-likes quando meu estado de consciência está alterado pelo consumo de alucinógenos ou por impulsos masoquistas ou suicidas. Tenta a primeira forma e retorne.

[10] Comentário enviado por fabiano_tux em 19/02/2015 - 10:04h

Ótima a dica, temos a opção de utilizar o xargs

Acessa o diretotio a ser limpo e execute o seguinte comando

ls | xargs rm

[11] Comentário enviado por NewWave em 19/02/2015 - 11:45h

Obrigado pela ajuda, xerxeslins!

Grande abraço!

[12] Comentário enviado por juliaojunior em 24/02/2015 - 11:14h


Xerxes, vc é desenrolado demais.

[13] Comentário enviado por xerxeslins em 24/02/2015 - 13:14h


[12] Comentário enviado por juliaojunior em 24/02/2015 - 11:14h


Xerxes, vc é desenrolado demais.


Valeu! Não tanto quanto você!!

Abraço!

[14] Comentário enviado por thur em 07/10/2015 - 11:03h

Fiz isso e começou a dar isso.

dpkg: warning: files list file for package 'libio-string-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdevel-globaldestruction-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'wwwconfig-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxau6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh2-1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lsof' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfile-slurp-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'netcat' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'augeas-lenses' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rinse' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkrb5-3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libwrap0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcupsimage2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gnuplot' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-twisted-names' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnfnetlink0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libapr1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libitm1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcap2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'readline-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libengine-pkcs11-openssl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsocket-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxt6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtext-charwidth-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnet-snmp-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgomp1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libiscsi1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libasyncns0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsane-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglib2.0-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mysql-client-5.5' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgphoto2-port0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfreetype6-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'less' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dconf-service' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnet1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpackage-stash-xs-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'erlang-crypto' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libanyevent-http-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx11-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcrypt-openssl-dsa-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5-mysql' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmailutils4' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libblas3' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'binutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mysql-server' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-debian' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libwebp2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'vim-tiny' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ca-certificates' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'isc-dhcp-client' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhtml-tagset-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'hardening-includes' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cryptsetup-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmpfr4:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'busybox' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhttp-server-simple-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblinear1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpcsclite1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libstdc++6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'powermgmt-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cpio' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'installation-report' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rsyslog' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfontenc1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmad0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'm4' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-pynetsnmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libonig2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mysql-server-core-5.5' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mailutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblist-moreutils-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libp11-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libparse-recdescent-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxcursor1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtk-dirselect-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'netpbm' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'patchutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libio-stty-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'util-linux' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgmp10:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'make' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgsasl7' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'bash' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'snmptt' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcolord1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rpm' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblensfun-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libblas3gf' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnet-openssh-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'iptables' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpixman-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdjvulibre21' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libclone-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-httplib2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'discover' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns88' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnutls-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhash-merge-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-twisted-news' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-twisted-mail' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'udev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nagios-plugins-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openhpi-plugin-snmp-bc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'erlang-syntax-tools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apt-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5-ldap' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3-openssl-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpng12-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxxf86vm1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'grub2-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmousex-strictconstructor-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gvfs-daemons' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpam-ck-connector:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cmake-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxenstore3.0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-pysnmp4-mibs' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'w3m' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsm6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libc6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtalloc2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libopenhpi2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xorg-sgml-doctools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'vim-runtime' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libevent-2.0-5:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-openssl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssh-client' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfam0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lynx-cur' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libselinux1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mc-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'time' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx11-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnettle4:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libatk1.0-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxcb-shape0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkrb5-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgtk2.0-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libparse-debianchangelog-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libyaml-libyaml-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libp11-kit0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-apt' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libjson0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libice6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libisccc80' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcryptsetup4' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-dnspython' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libconfig-inifiles-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libalgorithm-merge-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'fuse-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libemail-valid-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'heirloom-mailx' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'librpm3' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libipc-run-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dconf-gsettings-backend:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nano' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'blt' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-openssl-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnome2-0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxtst6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libedit2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'fontconfig-config' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'imagemagick' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libclass-load-xs-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'multiarch-support' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkdb5-6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nbtscan' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnome-keyring0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cron' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'globus-gsi-openssl-error-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'sysvinit-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xml-core' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnss3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'autopoint' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgphoto2-l10n' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsensors4-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libldap-2.4-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cifs-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apache2.2-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libapache2-mod-php5' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'guile-1.8-libs' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mime-support' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblensfun0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gconf2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5-cli' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libc-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libavahi-client3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nut-client' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gcc-4.7-base:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libexiv2-12' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglobus-gsi-openssl-error-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssl-blacklist-extra' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpciaccess0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'zlib1g-dev:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'unzip' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apache2.2-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgphoto2-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'perl-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpod-pom-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsub-name-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libvorbis0a:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx11-xcb1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmodule-corelist-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libio-pty-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libjbig2dec0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'procmail' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblua5.1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-markupsafe' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-apt-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtext-template-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnet-ssh2-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtinfo5:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdrm-intel1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'comerr-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3-six' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcrypt-openssl-rsa-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblinear-tools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'debian-faq' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhtml-parser-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcaca0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'wmnd-snmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh-dbg:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmikmod2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'snmptrapfmt' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'git' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libbz2-1.0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'aptitude-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-mechanize' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcrypt-openssl-bignum-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openjdk-7-jre:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmpkit-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xtrans-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ttf-dejavu-core' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'librpmsign1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblcms1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'iputils-ping' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx11-dev:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'diffstat' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblqr-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdata-section-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdiscover2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-crypto' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ghostscript' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libio-socket-ssl-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'globus-openssl-module-progs' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libilmbase6' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gcc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libyaml-0-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtext-diff-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfile-copy-recursive-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssl-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'eject' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'samba-common-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'tsconf' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dmsetup' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpackage-stash-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtask-weaken-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh2-1-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'x11proto-core-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh2-php' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'info' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'psutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libevent-openssl-2.0-5:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'linux-image-amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'reportbug' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xenstore-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-twisted-core' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglobus-gsi-openssl-error0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssh-blacklist' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libencode-locale-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'build-essential' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xbitmaps' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-pam' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'acpi' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libb-hooks-endofscope-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mysql-server-5.5' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssl-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblocale-gettext-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-simplejson' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libncursesw5:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxml-sax-expat-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'linux-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'iso-codes' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'pkg-config' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'console-setup-linux' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'aptitude' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpcre3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-jinja2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libv4lconvert0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnet-ssleay-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-chardet' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'grub-pc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dpkg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libwww-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gzip' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'snmpd' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmp-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'insserv' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'erlang-snmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'debian-archive-keyring' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdb5.1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gkrellm-snmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgpm2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'fonts-droid' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnutls26:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'acpi-support-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cpp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libavahi-common3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcroco3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'netcat-traditional' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkadm5clnt-mit8:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpng12-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'links2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ttf-dejavu-extra' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblzma5:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh-4:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglobus-gsi-proxy-ssl-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libatk1.0-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-central' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gvfs:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglobus-openssl-module0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssh-server' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'acl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'manpages-pt' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsane-extras-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libglobus-gsi-proxy-ssl-doc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsigc++-2.0-0c2a:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpaper1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'e2fsprogs' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ufraw-batch' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'git-man' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ispell' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ncurses-term' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gconf-service' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcanberra0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libjasper1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsensors4:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgtk-3-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx11-6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnomevfs2-0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxau-dev:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dosfstools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'erlang-runtime-tools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnomevfs2-extra' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xz-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libruby1.9.1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnfsidmap2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxft2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssh-blacklist-extra' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libbsd0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'findutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apache2-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'task-english' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rpm2cpio' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libavahi-common-data:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpam-modules-bin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liblwp-protocol-https-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsemanage-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libssh2-1-dev' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libss2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'iamerican' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsvm-tools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3-minimal' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsub-identify-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dc' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'liborbit2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ienglish-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdatrie1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgsnmp0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libblkid1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'initscripts' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libclass-load-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhtml-template-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apache2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libslang2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsdl-mixer1.2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgsnmp0-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmp-multi-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdjvulibre-text' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xauth' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'sysvinit' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'librsvg2-common:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libjpeg8:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'cmake' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'geoip-database' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnss-winbind:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpam-runtime' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsdl-gfx1.2-4:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python2.6-minimal' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpthread-stubs0-dev:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libacl1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmpkit2c2a' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'fakeroot' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nmap' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'xkb-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'hostname' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'util-linux-locales' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgdk-pixbuf2.0-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'bsdmainutils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'passwd' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsasl2-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsasl2-modules:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libipc-shareable-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gvfs-libs:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'bash-completion' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-pysnmp4' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcwidget3' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpipeline1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ftp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgfortran3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mlocate' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmysqlclient18:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libijs-0.35' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'keyboard-configuration' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxaw7:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxdamage1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcurl3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libclass-data-inheritable-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmro-compat-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'kbd' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libx86-1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libaprutil1-ldap' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3.2-minimal' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libopenexr6' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtirpc1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'smbclient' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libany-moose-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libntlm0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'grep' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpackage-deprecationmanager-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'acpid' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'fuse' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgs9-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxmu6:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkadm5srv-mit8:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'debconf-i18n' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openhpid' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgusb2' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nut-snmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsndfile1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxfixes3:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ca-certificates-java' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'net-tools' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'php5-snmp' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libaugeas0' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'x11-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxmlrpc-core-c3' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libalgorithm-diff-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'debootstrap' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libmouse-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnewt0.52' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'nagios-snmp-plugins' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libhttp-daemon-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gnupg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'groff-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'links' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3-chardet' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'mawk' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python3-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python-serial' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfile-listing-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libcomerr2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libtext-reform-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpaper-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmp-info-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libnetpbm10' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'librsvg2-2:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libalgorithm-diff-xs-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'consolekit' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libaprutil1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxml-namespacesupport-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'bind9-host' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'at' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'base-passwd' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'x11-utils' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsnmp-ruby' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'python2.7-dbg' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgl1-mesa-glx:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libxml-simple-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'wget' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'openssn-data' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'samba-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libfile-fcntllock-perl' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgs9' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libkrb5support0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lintian' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dictionaries-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'udisks' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdevmapper-event1.02.1:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'apache2-mpm-prefork' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'perl-tk' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libsmi2-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libgnutls-openssl27:amd64' missing;

[15] Comentário enviado por bleckout em 15/10/2015 - 00:40h

As vez quando estou instalando programas no Debian ocorre esse problema, com essa dica consegui resolver não sabia que era esse "cache" que influênciava.

Valeu xerxes, ajudando como sempre.
___________________________________________________________________
[i]"Vivemos todos sob o mesmo céu, mas nem todos temos o mesmo horizonte." - Konrad Adenauer
Debian 8 Jessie amd64 - Core i7 3770K, 8GB RAM - NVIDIA GTX 760 Windforce[/i]

[16] Comentário enviado por joaogauer em 25/11/2015 - 08:52h

Aqui ta assim:

Duplicate sources.list entry http://repo.ajenti.org/debian/ main/main armhf Packages (/var/lib/apt/lists/repo.ajenti.org_debian_dists_main_main_binary-armhf_Packages)
Duplicate sources.list entry http://repo.ajenti.org/debian/ main/debian armhf Packages (/var/lib/apt/lists/repo.ajenti.org_debian_dists_main_debian_binary-armhf_Packages)
Erro de leitura - read (21: Is a directory)
As listas de pacotes ou o ficheiro de status não pôde ser analisado ou aberto.
Can't call method "policy" on an undefined value at /usr/bin/apt-show-versions line 56.
E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions -i'
E: Sub-process returned an error code

[17] Comentário enviado por fanig_01 em 22/05/2016 - 15:30h


[1] Comentário enviado por fabio em 28/02/2013 - 16:26h

Bela dica! Mas ao invés do malabarismo pra deletar os arquivos, acho que o comando abaixo seria mais adequado:

find . -type f -exec rm {} \;

Ou usar um micro shell script, como na dica: http://www.vivaolinux.com.br/dica/Removendo-varios-arquivos-de-uma-lista-gigante-%28Argument-list-to....

Um abraço.



Vc deveria testar esse comando na sua máquina e ver só o que acontece antes de passar para os outros, sacanagem isso!!!

[18] Comentário enviado por valdo18 em 25/07/2016 - 03:56h

Bom Dia Pessoal ou Boa Madruga!
Gostaria de agradecer por esta dica do Xerxes Lins.
Estive tendo o mesmo problema, não sei qual o momento exato que ocorreu, o que sei é que começou a apareceu estes erros toda vez que ia instalar ou dar um update.

Erros foram encontrados durante o processamento de:
javascript-common
shim-signed
E: Sub-process /usr/bin/dpkg returned an error code (1)
Um pacote falhou na instalação. Tentando recuperar:
Configurando shim-signed (1.17~16.04.1+0.8-0ubuntu2) ...
Installing for x86_64-efi platform.
Instalação finalizada. Nenhum erro foi relatado.
Configurando javascript-common (11) ...
dpkg: erro ao processar o pacote javascript-common (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:


Fui no synaptics >> editar >> corrigir pacotes quebrados e nada adiantou, depois também pelo synaptics e atualizei todos os pacotes upgrade e não resolveu mas com a sua dica conseguir.
Como o meu problema era com o "javascript-common"
rodei os seguintes comandos:
$ sudo rm -rf /var/lib/dpkg/info/javascript-common*

$ sudo apt-get clean
$ sudo apt-get autoclean
$ sudo apt-get install -f
$ sudo apt-get update

E o sistema voltou a rodar redondo, muito obrigado!!!

[19] Comentário enviado por litrogenio89 em 05/08/2016 - 09:16h

Xerxes, muito obrigado cara. Já tava no segundo dia tentando resolver essa bronca...
O senhor manja das paradas... xD

[20] Comentário enviado por jairus em 30/09/2016 - 14:27h

Ok. Funcionou.

[21] Comentário enviado por removido em 02/03/2017 - 10:43h


[4] Comentário enviado por Victoralm em 04/08/2013 - 03:43h

Mesmo rodando estes comandos, continuo tendo problemas no Ubuntu 12.04:

#sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Configurando postfixadmin (2.3.6-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/postfixadmin.conf
dpkg: erro processando postfixadmin (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 10
Erros foram encontrados durante o processamento de:
postfixadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)







Rode o comando "dpkg --configure -a", que verifica pendências na configuração dos pacotes.

Rode novamente o "apt-get -f install". Caso ele não resolva, experimente o "apt-get -f remove", que tem uma função similar à do "-f install", mas dá preferência a remover os pacotes com problemas, ao invés de tentar corrigir a instalação.

[22] Comentário enviado por Mc.Eagle em 20/08/2017 - 00:14h

Excelente, salvou a noite novamente, já que só mexo com essas coisas no meu laboratório à noite. Força e Honra!

[23] Comentário enviado por sergeimartao em 05/12/2017 - 15:18h

Esse dica ajudou muito! vlw Xerxes!

[24] Comentário enviado por debianlima em 30/03/2018 - 21:00h

vlw Xerxes!

Já estava a horas tentando vários comandos no ubuntu 16, para corrigir um error no apt-get code (2) e tua dica mesmo sendo para error code (1), salvou minha noite.

[25] Comentário enviado por xerxeslins em 02/04/2018 - 09:26h


[24] Comentário enviado por debianlima em 30/03/2018 - 21:00h

vlw Xerxes!

Já estava a horas tentando vários comandos no ubuntu 16, para corrigir um error no apt-get code (2) e tua dica mesmo sendo para error code (1), salvou minha noite.


Opa! legal! :D

[26] Comentário enviado por Ezequias Rocha em 15/06/2018 - 09:23h

Valeu Xerxes Lins!

No meu caso funcionou perfeitamente.

[27] Comentário enviado por EuricoNT em 10/09/2018 - 14:46h

Fiz os procedimentos acima e piorou tudo. Terei que reinstalar todo o sistema. Valeu.
Eurico Saldanha Neto



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts